\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}



\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm, scale=0.5]
\clip(-1,-1) rectangle (7,4);
\fill[line width=1pt,fill=J2] (0,0) -- (6,0) -- (4,3) -- cycle;
\draw[line width=0.8pt] (4.375386546859604,0) -- (4.375386546859604,0.37538654685960376) -- (4,0.3753865468596038) -- (4,0) -- cycle; 
\draw [line width=1pt] (0,0)-- node[below] {4} (4,0)-- node[below] {2} (6,0);
\draw [line width=1pt] (6,0)-- (4,3);
\draw [line width=1pt] (4,3)-- node[above] {8} (0,0);
\draw [line width=1pt] (4,3)-- (4,0);
\draw (-0.25,-0.5) node {$A$};
\draw (3.75,-0.5) node {$H$};
\draw (6.25,-0.5) node {$C$};
\draw (4.25,3.5) node {$B$};
\end{tikzpicture}
\end{document}